/* Navigation bar */
nav {
  background-color: #333;
  overflow: hidden;
}

nav ul {
  margin: 0;
  padding: 0;
  list-style-type: none;
}

nav li {
  float: left;
}

nav li a {
  display: block;
  color: white;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}

nav li a:hover {
  background-color: #111;
}

/* Header */
header {
  background-color: #ccc;
  text-align: center;
  padding: 50px;
}

h1 {
  margin: 0;
}

/* Main content */
main {
  padding: 20px;
}

/* Footer */
footer {
  background-color: #333;
  color: white;
  text-align: center;
  padding: 20px;
}

/* Skills */
#skills {
  padding: 20px;
}

.all_skills {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.skill {
  width: 30%;
  margin-bottom: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.skill img {
  height: 80px;
}

.skill h6 {
  margin-top: 10px;
  margin-bottom: 5px;
  font-size: 16px;
}

.skill p {
  margin: 0;
  font-size: 14px;
}

/* Responsive design */
@media screen and (max-width: 600px) {
  .all_skills {
    flex-direction: column;
    align-items: center;
  }

  .skill {
    width: 100%;
  }
}

.image {
  width: 15%;
  border-radius: 20%;
}

.pics {
  border: 1px solid gray;
  display: block;
  border-radius: 6px;
  text-align: center;
  margin: 50px;
  padding: 10px;
  width: 2in;
  font-size: 20px;
  box-shadow: 0 3px 10px gray;
}

.pics img {
  height: 10rem;
  align-items: center;
}

#clock {
  font-size: 2em;
}

.calendar-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 1em;
}

.month {
  font-size: 2em;
  font-weight: bold;
}

.weekday {
  font-size: 1.5em;
  font-weight: bold;
  text-align: center;
  width: calc(100% / 7);
  border-bottom: 1px solid #ccc;
  padding: 0.5em 0;
}

.day {
  font-size: 1.5em;
  text-align: center;
  width: calc(100% / 7);
  padding: 0.5em 0;
  border-right: 1px solid #ccc;
  border-bottom: 1px solid #ccc;
}

.calendar-days {
  display: flex;
  flex-wrap: wrap;
}

.container {
  background-color: rgba(255, 255, 255, 0.3);
  padding: 20px;
  box-shadow: 0 6px 10px rgba(0, 0, 0, 0.3);
  border-radius: 15px;
  width: 85%;
  text-align: center;
  color: darkcyan;
}

.heading {
  font-size: 35px;
  font-weight: 200;
  font-family: Impact, Haettenschweiler, "Arial Narrow Bold", sans-serif;
  text-shadow: 5px 5px 2px rgba(0, 0, 0, 0.3);
  letter-spacing: 2px;
}

.joke {
  font-size: 25px;
  font-weight: 500;
  margin: 40px;
}

.btn {
  font-size: 18px;
  font-weight: 700;
  border-radius: 5px;
  cursor: pointer;
  padding: 10px;
  background-color: rgba(255, 255, 255, 0.3);
  border-color: rgba(255, 255, 255, 0.6);
  text-transform: uppercase;
  width: 300px;
  color: darkcyan;
}

.btn:hover {
  background-color: rgba(255, 255, 255, 0.5);
  box-shadow: 0 4px rgba(255, 255, 255, 0.3);
  transition: all 300ms ease;
}
